Page 2 of 2

Re: Korman 0.07 Released

PostPosted: Tue Oct 16, 2018 12:19 pm
by Deledrius
I haven't tried it myself as my main Linux system hasn't been used in a while, but it should be possible to use Korman with Blender 2.79b.

You'll need to build a couple of libraries manually, though. Build and install libHSPlasma (along with PyHSPlasma in that project), and then you'll also need to build korlib which comes with Korman. I'm not sure where that needs to go on Linux, but if Blender is using your system Python, then putting it in your system Python's site-packages folder should be sufficient. After that, I expect it would just be a matter of copying the Korman plugin folder into your local Blender's .blender/scripts/addons folder.

Re: Korman 0.07 Released

PostPosted: Tue Oct 16, 2018 2:15 pm
by J'Kla
Hoikas hit it on the head Korman is not compatible with Blender 2.76b and that is the Blender version that loads to my Linux laptop.

Having Korman is no big deal I was just wondering if I could have Korman on that laptop as it is I use it for other jobs that don't require Korman.

Re: Korman 0.07 Released

PostPosted: Tue Oct 16, 2018 2:43 pm
by Deledrius
If you do end up wanting to give it a whirl, you could try manually installing Blender 2.79b for Linux. :)

Re: Korman 0.07 Released

PostPosted: Tue Oct 23, 2018 3:05 am
by J'Kla
I have hit a bug with Korman 0.07 It involves Exporting and Nodes not being recognised.

I swapped back to Korman 6 and the Blend file exports sweet as a nut.

I will get you details soon but work just threw something in my path.

Heads up though. Incoming

Re: Korman 0.07 Released

PostPosted: Tue Oct 23, 2018 3:27 am
by J'Kla
The whole thing is an edit for Avatar customisation Clothing change

Error Message on Export

Node Error.png
Node Error.png (18.51 KiB) Viewed 818 times


Node tree segment when Blend file viewed with Korman 0.06

Korman0.06 Node tree view.png
Korman0.06 Node tree view.png (31.17 KiB) Viewed 818 times


Same Node tree segment when Blend file viewed with Korman 0.07

Korman0.07 Node tree view.png
Korman0.07 Node tree view.png (54.85 KiB) Viewed 818 times


Obviously you can ignore the upper two nodes in the Korman 0.07 grab.

Get back to me if there is anything more your needing

Note no immediate rush for me as I can do most of my current needs with Korman 0.06 but figured a prompt Heads up was best. :)

Re: Korman 0.07 Released

PostPosted: Tue Oct 23, 2018 4:45 am
by Deledrius
This is a known issue. Check the initial post in this thread. ;)

J'Kla wrote:Note no immediate rush for me as I can do most of my current needs with Korman 0.06 but figured a prompt Heads up was best. :)


You can continue using 0.07: just replace that non-upgraded node with a new, proper Trigger settings one and everything should be fine.

Re: Korman 0.07 Released

PostPosted: Tue Oct 23, 2018 5:50 am
by Tsar Hoikas
From the OP:

Tsar Hoikas wrote:Unfortunately, if you had any "Region Trigger Settings" nodes in your blend files, they will have to be completely recreated.

Re: Korman 0.07 Released

PostPosted: Tue Oct 23, 2018 6:27 am
by J'Kla
Ok I installed Korman 0.07

Opened my blender file

Replaced the trigger node

Now the export works

My blend export is a new Personal.age

When I go to try it out I get a message telling me

Code: Select all

out of date & will be deleted

Personal_District_Default.prp
Personal_District_Textures.prp



Fortunately I have plenty of backup and have a Korman 0.06 version I can still use as a fallback.